# Uses of Class
javafx.scene.control.skin.VirtualFlow

Packages that use VirtualFlow
Package
Description
javafx.scene.control.skin
The javafx.scene.control.skin package is where the skin classes, typically one for each UI control, are located

## Uses of VirtualFlow in javafx.scene.control.skin

Methods in javafx.scene.control.skin that return VirtualFlow
Modifier and Type
Method
Description
`protected VirtualFlow<I>`
VirtualContainerBase.`createVirtualFlow()`
Create the virtualized container that handles the layout and scrolling of all the cells.
`protected final VirtualFlow<I>`
VirtualContainerBase.`getVirtualFlow()`
Get the virtualized container.
Methods in javafx.scene.control.skin that return types with arguments of type VirtualFlow
Modifier and Type
Method
Description
`final ObjectProperty<Callback<VirtualFlow<T>,T>>`
VirtualFlow.`cellFactoryProperty()`
Setting a custom cell factory has the effect of deferring all cell creation, allowing for total customization of the cell.
`final Callback<VirtualFlow<T>,T>`
VirtualFlow.`getCellFactory()`
Returns the current cell factory.
Method parameters in javafx.scene.control.skin with type arguments of type VirtualFlow
Modifier and Type
Method
Description
`final void`
VirtualFlow.`setCellFactory(Callback<VirtualFlow<T>,T> value)`
Sets a new cell factory to use in the VirtualFlow.